# Uses of Class
jspecview.source.JDXSource

Packages that use JDXSource
Package
Description
jspecview.api
jspecview.app
jspecview.application
jspecview.common
jspecview.dialog
jspecview.source
jspecview.tree

## Uses of JDXSource in jspecview.api

Methods in jspecview.api that return JDXSource
Modifier and Type
Method
Description
`JDXSource`
SourceReader.`getSource(String filePath, BufferedReader br)`
Methods in jspecview.api with parameters of type JDXSource
Modifier and Type
Method
Description
`JSVTreeNode`
JSVTree.`createTree(int fileCount, JDXSource source, JSVPanel[] jsvPanels)`
`void`
ScriptInterface.`siSetCurrentSource(JDXSource source)`
`void`
ScriptInterface.`siSourceClosed(JDXSource source)`

## Uses of JDXSource in jspecview.app

Methods in jspecview.app with parameters of type JDXSource
Modifier and Type
Method
Description
`void`
JSVApp.`siSetCurrentSource(JDXSource source)`
`void`
JSVApp.`siSourceClosed(JDXSource source)`

## Uses of JDXSource in jspecview.application

Methods in jspecview.application with parameters of type JDXSource
Modifier and Type
Method
Description
`void`
ApplicationMenu.`clearSourceMenu(JDXSource source)`
`JSVTreeNode`
AwtTree.`createTree(int fileCount, JDXSource source, JSVPanel[] panels)`
`void`
JSpecView.`siSetCurrentSource(JDXSource source)`
`void`
JSpecView.`siSourceClosed(JDXSource source)`
Closes the `JDXSource` specified by source

## Uses of JDXSource in jspecview.common

Fields in jspecview.common declared as JDXSource
Modifier and Type
Field
Description
`JDXSource`
JSViewer.`currentSource`
`JDXSource`
PanelNode.`source`
Methods in jspecview.common that return JDXSource
Modifier and Type
Method
Description
`static JDXSource`
PanelNode.`findSourceByNameOrId(String id, Lst<PanelNode> panelNodes)`
Methods in jspecview.common with parameters of type JDXSource
Modifier and Type
Method
Description
`void`
JSViewer.`closeSource(JDXSource source)`
Constructors in jspecview.common with parameters of type JDXSource
Modifier
Constructor
Description
``
`PanelNode(String id, String fileName, JDXSource source, JSVPanel jsvp)`

## Uses of JDXSource in jspecview.dialog

Methods in jspecview.dialog with parameters of type JDXSource
Modifier and Type
Method
Description
`void`
DialogManager.`showSourceErrors(Object frame, JDXSource currentSource)`

## Uses of JDXSource in jspecview.source

Fields in jspecview.source declared as JDXSource
Modifier and Type
Field
Description
`protected JDXSource`
XMLReader.`source`
`protected JDXSource`
XMLReader.`source`
Methods in jspecview.source that return JDXSource
Modifier and Type
Method
Description
`static JDXSource`
JDXReader.`createJDXSource(GenericFileInterface file, Object in, String filePath, boolean obscure, boolean loadImaginary, int iSpecFirst, int iSpecLast, float nmrMaxY)`
general entrance method
`static JDXSource`
JDXReader.`createJDXSourceFromStream(InputStream in, boolean obscure, boolean loadImaginary, float nmrMaxY)`
used only for preferences display and Android
`static JDXSource`
JDXSource.`createView(Lst<Spectrum> specs)`
`protected JDXSource`
AnIMLReader.`getXML(BufferedReader br)`
`protected JDXSource`
NMRMLReader.`getXML(BufferedReader br)`
`JDXSource`
BrukerReader.`readBrukerDir(String fullPath)`
Read through a Bruker directory (Java only) looking for title, acqus, procs, 1r, 1i, 2rr.
`JDXSource`
BrukerReader.`readBrukerZip(byte[] bytes, String fullPath)`
Read through a ZIP file (Java or JavaScript) looking for title, acqus, procs, 1r, 1i, 2rr.

## Uses of JDXSource in jspecview.tree

Methods in jspecview.tree with parameters of type JDXSource
Modifier and Type
Method
Description
`JSVTreeNode`
SimpleTree.`createTree(int fileCount, JDXSource source, JSVPanel[] panels)`